Bug 165670 - [PATCH] sysutils/smartmontools: Respect NOPORTDOCS var
[PATCH] sysutils/smartmontools: Respect NOPORTDOCS var
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 20:30 UTC by scheidell
Modified: 2012-03-04 11:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description scheidell freebsd_committer 2012-03-03 20:30:13 UTC
NOPORTDOCS env var is not being honored.

Fix: as per <http://www.freebsd.org/doc/en/books/porters-handbook/install.html>
don't populate DOCSDIR if NOPORTDOCS is defined.



______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________--D6SyR6nF4XsIvj93aN1dsQAk1D7jZZ34yCScqCasZBDrzhkU
Content-Type: text/plain; name="sysutils_smartmontools.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="sysutils_smartmontools.patch"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/sysutils/smartmontools/Makefile,v
retrieving revision 1.57
diff -u -r1.57 Makefile
--- Makefile	15 Feb 2012 08:46:57 -0000	1.57
+++ Makefile	28 Feb 2012 03:58:37 -0000
@@ -22,7 +22,7 @@
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--disable-dependency-tracking \
 		--enable-drivedb --enable-sample \
-		--with-docdir=${DOCSDIR} --with-initscriptdir=${PREFIX}/etc/rc.d
+		--with-initscriptdir=${PREFIX}/etc/rc.d
 
 SUB_FILES=	pkg-message smart
 USE_RC_SUBR=	smartd
@@ -32,6 +32,12 @@
 
 PORTDOCS=	*
 
+.if defined(NOPORTDOCS)
+CONFIGURE_ARGS+=	--without-docdir --without-exampledir
+.else
+CONFIGURE_ARGS+=	--with-docdir=${DOCSDIR}
+.endif
+
 CFLAGS:=	${CFLAGS:S/-O2/-O/} -Wno-write-strings
 
 post-patch:
How-To-Repeat: 
make -DNOPORTDOCS install
you will see that there are leftovers:
<http://people.freebsd.org/~scheidell/smartmontools-5.42_3.log>
=== Checking filesystem state
list of extra files and directories in / (not present before this port was installed but present after it was deinstalled)
7451334        8 drwxr-xr-x    3 root             wheel                 512 Feb 28 02:08 usr/local/share/doc/smartmontools
7451335        8 -r--r--r--    1 root             wheel                1568 Feb 28 02:08 
usr/local/share/doc/smartmontools/AUTHORS
7451336      360 -r--r--r--    1 root             wheel              183421 Feb 28 02:08 
usr/local/share/doc/smartmontools/CHANGELOG
7451337       40 -r--r--r--    1 root             wheel               17992 Feb 28 02:08 
usr/local/share/doc/smartmontools/COPYING
7451338       64 -r--r--r--    1 root             wheel               31710 Feb 28 02:08 
usr/local/share/doc/smartmontools/INSTALL
7451339       40 -r--r--r--    1 root             wheel               19110 Feb 28 02:08 
usr/local/share/doc/smartmontools/NEWS
7451340        8 -r--r--r--    1 root             wheel                3823 Feb 28 02:08 
usr/local/share/doc/smartmontools/README
7451341        8 -r--r--r--    1 root             wheel                 169 Feb 28 02:08 
usr/local/share/doc/smartmontools/TODO
7451342       16 -r--r--r--    1 root             wheel                5265 Feb 28 02:08 
usr/local/share/doc/smartmontools/WARNINGS
7451343       16 -r--r--r--    1 root             wheel                6706 Feb 28 02:08 
usr/local/share/doc/smartmontools/smartd.conf
7451346        8 drwxr-xr-x    2 root             wheel                 512 Feb 28 02:08 
usr/local/share/doc/smartmontools/examplescripts
7451347        8 -r--r--r--    1 root             wheel                2009 Feb 28 02:08 
usr/local/share/doc/smartmontools/examplescripts/README
7451348        8 -r-xr-xr-x    1 root             wheel                1547 Feb 28 02:08 
usr/local/share/doc/smartmontools/examplescripts/Example1
7451349        8 -r-xr-xr-x    1 root             wheel                 722 Feb 28 02:08 
usr/local/share/doc/smartmontools/examplescripts/Example2
7451350        8 -r-xr-xr-x    1 root             wheel                 693 Feb 28 02:08 
usr/local/share/doc/smartmontools/examplescripts/Example3
7451351        8 -r-xr-xr-x    1 root             wheel                 126 Feb 28 02:08 
usr/local/share/doc/smartmontools/examplescripts/Example4
Comment 1 Edwin Groothuis freebsd_committer 2012-03-03 20:30:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-03-03 20:30:35 UTC
Maintainer of sysutils/smartmontools,

Please note that PR ports/165670 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165670

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-03-03 20:30:39 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 samm 2012-03-04 07:40:41 UTC
I am approving this patch, thank you.
Comment 5 dfilter freebsd_committer 2012-03-04 11:36:42 UTC
scheidell    2012-03-04 11:36:28 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/smartmontools Makefile 
  Log:
  - Honor NOPORTDOCS env var
  - No PORTREVISION bump
  
  PR:             ports/165670
  Submitted by:   scheidell (me)
  Approved by:    Alex Samorukov <samm@os2.kiev.ua> (maintainer), gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.58      +7 -1      ports/sysutils/smartmontools/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 scheidell freebsd_committer 2012-03-04 11:41:26 UTC
State Changed
From-To: feedback->closed

Committed.